Ubuntu

mute/unmute sound when user clicks on sound applet using scroll button or middle mouse button

Reported by RussianNeuroMancer on 2010-07-25
50
This bug affects 12 people
Affects Status Importance Assigned to Milestone
The Sound Menu
Wishlist
Marco Trevisan (Treviño)
Unity
Undecided
Marco Trevisan (Treviño)
libindicator
Wishlist
Marco Trevisan (Treviño)
unity-2d
Undecided
Marco Trevisan (Treviño)
indicator-sound (Ubuntu)
Wishlist
Marco Trevisan (Treviño)
unity-2d (Ubuntu)
Undecided
Marco Trevisan (Treviño)
unity (Ubuntu)
Undecided
Marco Trevisan (Treviño)

Bug Description

Binary package hint: indicator-sound

I propose mute/unmute sound when user click to sound applet using scroll button or middle mouse button. For example KMix icon already work in this way.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: indicator-sound 0.3.8-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-10.15-generic 2.6.35-rc5
Uname: Linux 2.6.35-10-generic x86_64
Architecture: amd64
Date: Mon Jul 26 06:09:24 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
ProcEnviron:
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
SourcePackage: indicator-sound

Vish (vish) on 2010-07-26
summary: - I propose mute/unmute sound when user click to sound applet using scroll
- button or middle mouse button
+ mute/unmute sound when user clicks on sound applet using scroll button
+ or middle mouse button
Changed in indicator-sound (Ubuntu):
importance: Undecided → Wishlist
Conor Curran (cjcurran) on 2010-09-17
Changed in indicator-sound:
assignee: nobody → Conor Curran (cjcurran)
importance: Undecided → Wishlist
Vish (vish) on 2010-09-17
Changed in indicator-sound (Ubuntu):
status: New → Triaged
Conor Curran (cjcurran) on 2010-10-01
Changed in indicator-sound:
status: New → Triaged
Christian Giordano (nuthinking) wrote :

I just opened bug (wishlist) #707567 where I propose to use the double click. Any rationale against?

Pavel Verba (pavel.s.verba) wrote :

No rationale against it, but I'd also like a double click to be an option too.

Oliver Joos (oliver-joos) wrote :

Please consider that the disadvantage of a double click is that the single click action must be delayed for or aborted after the maximum double click time.

Conor Curran (cjcurran) wrote :

Sorry but double click events are not possible with the current indicator API.
Conor

Conor Curran (cjcurran) on 2011-02-08
tags: added: design
Changed in indicator-sound:
assignee: Conor Curran (cjcurran) → Matthew Paul Thomas (mpt)
Conor Curran (cjcurran) on 2011-02-08
Changed in indicator-sound:
status: Triaged → New
Changed in indicator-sound (Ubuntu):
status: Triaged → New
Matthew Paul Thomas (mpt) wrote :

As I just described in bug 707567, the main problem with double-clicking is that it could easily be triggered accidentally.

Middle-clicking is more plausible, since it doesn't have the same problem, or at least not nearly as much. The only drawback I can think of is that someone might click the middle button accidentally while changing volume with the scrollwheel, or vice versa.

I would not, however, want application indicator menus to be able to use middle click, because then developers would go off and make some functions available only that way and screw people who don't have a middle button. So if we can do it just for the sound menu without making it a general capability, I think that would be fine.

Changed in indicator-sound:
status: New → Confirmed
assignee: Matthew Paul Thomas (mpt) → nobody
Conor Curran (cjcurran) on 2011-02-09
Changed in indicator-sound:
assignee: nobody → Conor Curran (cjcurran)
status: Confirmed → In Progress
Conor Curran (cjcurran) on 2011-02-10
Changed in indicator-sound (Ubuntu):
status: New → In Progress
Conor Curran (cjcurran) on 2011-02-10
Changed in indicator-sound:
milestone: none → 0.6.0
Conor Curran (cjcurran) on 2011-02-18
Changed in indicator-sound:
milestone: 0.6.0 → 0.6.1
Conor Curran (cjcurran) wrote :

This feature requires the underlying indicator-object to expose the middle click functionality. A nice to have but not something I can do until the parent work is done.

Changed in indicator-sound:
milestone: 0.6.1 → none
status: In Progress → Triaged
Changed in indicator-sound (Ubuntu):
status: In Progress → Confirmed
Kalle Valo (kvalo) on 2011-02-24
Changed in libindicator:
importance: Undecided → Wishlist
Changed in indicator-sound (Ubuntu):
status: Confirmed → Triaged
Ted Gould (ted) on 2011-07-06
Changed in libindicator:
status: New → Triaged
Changed in libindicator:
assignee: nobody → Treviño (Marco Trevisan) (3v1n0)
Changed in indicator-sound:
assignee: Conor Curran (cjcurran) → Treviño (Marco Trevisan) (3v1n0)
Changed in indicator-sound (Ubuntu):
assignee: nobody → Treviño (Marco Trevisan) (3v1n0)
Changed in indicator-sound:
status: Triaged → In Progress
Changed in libindicator:
status: Triaged → In Progress
Changed in indicator-sound (Ubuntu):
status: Triaged → In Progress
Changed in unity:
status: New → In Progress
Changed in unity-2d:
status: New → In Progress
assignee: nobody → Treviño (Marco Trevisan) (3v1n0)
Changed in unity:
assignee: nobody → Treviño (Marco Trevisan) (3v1n0)

Ok, I've finally requested the merge for all the projects which needs to be modified to get this feature working.

More at the merge request: http://go.3v1n0.net/oCWFVT

Changed in indicator-sound:
status: In Progress → Fix Committed
Changed in libindicator:
status: In Progress → Fix Committed
Changed in unity-2d:
status: In Progress → Fix Committed
Changed in indicator-sound (Ubuntu):
status: In Progress → Fix Committed
Changed in unity:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2011-07-20
Changed in unity (Ubuntu):
status: New → Fix Committed
Changed in unity (Ubuntu):
assignee: nobody → Treviño (Marco Trevisan) (3v1n0)
Didier Roche (didrocks) on 2011-07-20
Changed in unity-2d (Ubuntu):
status: New → Fix Committed
Changed in unity-2d (Ubuntu):
assignee: nobody → Treviño (Marco Trevisan) (3v1n0)
Mirco Müller (macslow) wrote :

Didier, why did you mark this as "Fix Committed" for unity? It's still in the merge-proposal queue and not yet in unity trunk.

I'm not speaking for him, but I was taught to set as "Fix Committed" when I ask for merge. Actually we miss an intermediate state like "Fix sent Upstream", as "In progress" could be confusing.

Changed in indicator-sound:
status: Fix Committed → In Progress
Changed in libindicator:
status: Fix Committed → In Progress
Changed in unity:
status: Fix Committed → In Progress
Changed in indicator-sound (Ubuntu):
status: Fix Committed → In Progress
Changed in unity (Ubuntu):
status: Fix Committed → In Progress
Changed in unity-2d:
status: Fix Committed → In Progress
Changed in unity-2d (Ubuntu):
status: Fix Committed → In Progress
Changed in indicator-sound:
status: In Progress → Fix Committed
Changed in libindicator:
status: In Progress → Fix Committed
Changed in indicator-sound (Ubuntu):
status: In Progress → Fix Committed
Changed in unity:
status: In Progress → Fix Committed
Changed in unity (Ubuntu):
status: In Progress → Fix Committed
Neil J. Patel (njpatel) on 2011-08-01
Changed in unity:
milestone: none → 4.6.0
Didier Roche (didrocks) on 2011-08-01
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 4.6.0-0ubuntu1

---------------
unity (4.6.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in __strlen_sse2() (LP: #814619)
    - PlacesHomeView::PlacesHomeView leaks memory (LP: #818450)
    - PluginAdapter::MaximizeIfBigEnough leaks memory (LP: #818477)
    - Launcher - Make Launcher left of screen reveal more responsive and less
      prone to false positives (LP: #765819)
    - Launcher - clicking on a App launcher icon incorrectly un-minimizes
      windows (LP: #783434)
    - Unity doesn't get any mouse wheel scroll event in Indicators InputArea
      (LP: #814574)
    - Unity launcher gets cluttered when having multiple partitions and/or
      external volumes attached (LP: #713423)
    - Unity panel menus and indicators slow to respond. Too much lag.
      (LP: #742664)
    - In Unity the distinction between GVolume, GDrive and GMount is a bit
      confusing. (LP: #799890)
    - Launcher - When a item is deleted by dragging to Trash, the trash should
      pulse once before the Launcher disappears (LP: #750311)
    - ccsm needs an option to change launcher opacity (LP: #815032)
    - add a ccsm option to hide volumes in launcher (LP: #794707)
    - scale plugin doesn't work as desired when "Click Desktop To Show
      Desktop" is true (LP: #810315)
    - mute/unmute sound when user clicks on sound applet using scroll button
      or middle mouse button (LP: #609860)
    - Secondary activate (i.e. middle click) support for indicators advanced
      usage (LP: #812933)
  * debian/control:
    - dep on latest libunity-misc
    - dep on latest nux
    - add build-dep on libgnome-desktop-3-dev
  * debian/rules:
    - bump libunity-core-4.0-4 shlib for ABI break
    - don't ship unity dialogs right now. Not ready for alpha quality
  * distro-patch the grey to darker grey (until the blur is done in nux)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/patches/01_revert_removed_function_for_unity2d_to_build.patch:
    - revert a removed API making unity-2d not building
 -- Didier Roche <email address hidden> Mon, 01 Aug 2011 19:53:15 +0200

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-2d:
milestone: none → 3.8.16
status: In Progress → Fix Committed
Changed in unity-2d (Ubuntu):
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2011-08-11
Changed in unity-2d:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-2d - 4.0.0-0ubuntu1

---------------
unity-2d (4.0.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - [launcher] Impossible to keep KDE Apps in Launcher (LP: #741129)
    - [dash] Background should be blurred (LP: #823326)
    - No 'safely remove' option is present in the unity menu when a usb disk
      is inserted (LP: #660010)
    - Quicklist item "Keep In Launcher" should be "Keep in launcher" as design
      (LP: #795422)
    - [launcher] ESC doesn't dismiss launcher when activated with Alt+F1
      (LP: #812792)
    - [dash] Background wallpaper shifted when using a non compositing window
      manager (LP: #823295)
    - [launcher] Bottom gradient appears too early (LP: #823877)
    - mute/unmute sound when user clicks on sound applet using scroll button
      or middle mouse button (LP: #609860)
    - Secondary activate (i.e. middle click) support for indicators advanced
      usage (LP: #812933)
    - Unused GConfItemQmlWrapper dep found (LP: #821880)
  * debian/control:
    - bump libunity-core-4.0-dev, libnux-1.0-dev
    - recommends lenses and not places anymore. Adding music lens
 -- Didier Roche <email address hidden> Thu, 11 Aug 2011 21:22:18 +0200

Changed in unity-2d (Ubuntu):
status: Fix Committed → Fix Released
Conor Curran (cjcurran) on 2011-08-16
Changed in indicator-sound (Ubuntu):
status: Fix Committed → Fix Released
Changed in indicator-sound:
status: Fix Committed → Fix Released
Conor Curran (cjcurran) on 2011-08-31
Changed in libindicator:
status: Fix Committed → Fix Released
Changed in unity-2d:
status: Fix Released → Fix Committed
Gerry Boland (gerboland) on 2011-11-14
Changed in unity-2d:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers